Summary:	Xtst library
Summary(pl.UTF-8):	Biblioteka Xtst
Name:		xorg-lib-libXtst
Version:	1.2.2
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/libXtst-%{version}.tar.bz2
# Source0-md5:	25c6b366ac3dc7a12c5d79816ce96a59
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libXext-devel >= 1:1.0.99.4
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-recordproto-devel >= 1.13.99.1
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.3
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Obsoletes:	libXtst
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xtst library - RECORD and XTEST extensions.

%description -l pl.UTF-8
Biblioteka Xtst - rozszerzenia RECORD i XTEST.

%package devel
Summary:	Header files for libXtst library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXtst
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel >= 1:1.0.99.4
Requires:	xorg-lib-libXi-devel
Requires:	xorg-proto-recordproto-devel >= 1.13.99.1
Obsoletes:	libXtst-devel

%description devel
RECORD and XTEST extension library.

This package contains the header files needed to develop programs that
use libXtst.

%description devel -l pl.UTF-8
Biblioteka rozszerzeń RECORD i XTEST.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXtst.

%package static
Summary:	Static libXtst library
Summary(pl.UTF-8):	Biblioteka statyczna libXtst
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXtst-static

%description static
RECORD and XTEST extension library.

This package contains the static libXtst library.

%description static -l pl.UTF-8
Biblioteka rozszerzeń RECORD i XTEST.

Pakiet zawiera statyczną bibliotekę libXtst.

%prep
%setup -q -n libXtst-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-fop
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXtst.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXtst.so.6

%files devel
%defattr(644,root,root,755)
%doc specs/*.html
%attr(755,root,root) %{_libdir}/libXtst.so
%{_includedir}/X11/extensions/XTest.h
%{_includedir}/X11/extensions/record.h
%{_libdir}/libXtst.la
%{_pkgconfigdir}/xtst.pc
%{_mandir}/man3/XTest*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXtst.a
%changelog
* Fri May 08 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXtst.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c0014bf
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 25 2014 Jan Rękorajski <baggins@pld-linux.org> 91be689
- fixed files

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> cb2ee76
- disable building .ps and .pdf docs using fop (not packaged anyway)

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 32408fe
- up to 1.2.2; fixes CVE-2013-2063

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 2c520eb
- updated to 1.2.1

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 60fb36f
- typo in -devel: changed BR: to R:
- BR: docbook-dtd412-xml
- release: 2

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 963de2b
- updated to 1.2.0

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 49fa837
- rebuild with new libpthread-stubs
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> c63f6e6
- updated deps
- more verbose files, added README to doc

* Mon Oct 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ef00dfe
- up to 1.1.0

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a449b73
- rel 2; require libXi-devel

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f176bf
- up to 1.0.99.2

* Tue Aug 11 2009 tommat <tommat@pld-linux.org> bbfa76f
- BR: xmlto for manpages

* Tue Aug 11 2009 tommat <tommat@pld-linux.org> 9e583f0
- ver 1.0.99.1

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 221c03f
- release 2

* Sun Aug 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2134150
- up to 1.0.3

* Tue Jun 12 2007 Jakub Bogusz <qboosh@pld-linux.org> c22fa1f
- more informative descs

* Thu Jun 07 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 75d6501
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7103b3c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8f5401e
- converted to UTF-8

